libzypp: zypp::PluginFrame::Impl Struct Reference

libzypp 17.25.10

Public Types | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Friends | Related Functions | List of all members
zypp::PluginFrame::Impl Struct Reference

PluginFrame implementation. More...

## Public Types
typedef std::pair< HeaderListIterator, HeaderListIterator > | constKeyRange
typedef std::pair< HeaderList::iterator, HeaderList::iterator > | KeyRange

## Public Member Functions
| Impl ()
| Impl (const std::string &command_r)
| Impl (const std::string &command_r, const std::string &body_r)
| Impl (const std::string &command_r, HeaderInitializerList contents_r)
| Impl (const std::string &command_r, const std::string &body_r, HeaderInitializerList contents_r)
| Impl (std::istream &stream_r)
bool | empty () const
const std::string & | command () const
void | setCommand (const std::string &command_r)
const std::string & | body () const
std::string & | bodyRef ()
void | setBody (const std::string &body_r)
HeaderList & | headerList ()
const HeaderList & | headerList () const
const std::string & | getHeader (const std::string &key_r) const
const std::string & | getHeader (const std::string &key_r, const std::string &default_r) const
const std::string & | getHeaderNT (const std::string &key_r, const std::string &default_r) const
HeaderList::value_type | mkHeaderPair (const std::string &key_r, const std::string &value_r)
void | setHeader (const std::string &key_r, const std::string &value_r)
void | addHeader (const std::string &key_r, const std::string &value_r)
void | addHeader (HeaderInitializerList contents_r)
void | clearHeader (const std::string &key_r)
std::ostream & | writeTo (std::ostream &stream_r) const

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl. More...

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer More...

## Private Attributes
std::string | _command
std::string | _body
HeaderList | _header

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const PluginFrame::Impl &obj)
| Stream output. More...

## Detailed Description

PluginFrame implementation.

Definition at line 32 of file PluginFrame.cc.

## Member Typedef Documentation

## ◆ constKeyRange

typedef std::pair<HeaderListIterator,HeaderListIterator> zypp::PluginFrame::Impl::constKeyRange

Definition at line 78 of file PluginFrame.cc.

## ◆ KeyRange

typedef std::pair<HeaderList::iterator,HeaderList::iterator> zypp::PluginFrame::Impl::KeyRange

Definition at line 79 of file PluginFrame.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/6]

zypp::PluginFrame::Impl::Impl | ( |  | ) |
| inline

Definition at line 35 of file PluginFrame.cc.

## ◆ Impl() [2/6]

zypp::PluginFrame::Impl::Impl | ( | const std::string & | command_r | ) |
| inline

Definition at line 38 of file PluginFrame.cc.

## ◆ Impl() [3/6]

zypp::PluginFrame::Impl::Impl | ( | const std::string & | command_r,
|  | const std::string & | body_r
| ) |  |
| inline

Definition at line 41 of file PluginFrame.cc.

## ◆ Impl() [4/6]

zypp::PluginFrame::Impl::Impl | ( | const std::string & | command_r,
|  | HeaderInitializerList | contents_r
| ) |  |
| inline

Definition at line 45 of file PluginFrame.cc.

## ◆ Impl() [5/6]

zypp::PluginFrame::Impl::Impl | ( | const std::string & | command_r,
|  | const std::string & | body_r,
|  | HeaderInitializerList | contents_r
| ) |  |
| inline

Definition at line 48 of file PluginFrame.cc.

## ◆ Impl() [6/6]

zypp::PluginFrame::Impl::Impl | ( | std::istream & | stream_r | ) |

Definition at line 175 of file PluginFrame.cc.

## Member Function Documentation

## ◆ empty()

bool zypp::PluginFrame::Impl::empty | ( |  | ) | const
| inline

Definition at line 55 of file PluginFrame.cc.

## ◆ command()

const std::string& zypp::PluginFrame::Impl::command | ( |  | ) | const
| inline

Definition at line 58 of file PluginFrame.cc.

## ◆ setCommand()

void zypp::PluginFrame::Impl::setCommand | ( | const std::string & | command_r | ) |
| inline

Definition at line 61 of file PluginFrame.cc.

## ◆ body()

const std::string& zypp::PluginFrame::Impl::body | ( |  | ) | const
| inline

Definition at line 68 of file PluginFrame.cc.

## ◆ bodyRef()

std::string& zypp::PluginFrame::Impl::bodyRef | ( |  | ) |
| inline

Definition at line 71 of file PluginFrame.cc.

## ◆ setBody()

void zypp::PluginFrame::Impl::setBody | ( | const std::string & | body_r | ) |
| inline

Definition at line 74 of file PluginFrame.cc.

## ◆ headerList() [1/2]

HeaderList& zypp::PluginFrame::Impl::headerList | ( |  | ) |
| inline

Definition at line 81 of file PluginFrame.cc.

## ◆ headerList() [2/2]

const HeaderList& zypp::PluginFrame::Impl::headerList | ( |  | ) | const
| inline

Definition at line 84 of file PluginFrame.cc.

## ◆ getHeader() [1/2]

const std::string& zypp::PluginFrame::Impl::getHeader | ( | const std::string & | key_r | ) | const
| inline

Definition at line 87 of file PluginFrame.cc.

## ◆ getHeader() [2/2]

const std::string& zypp::PluginFrame::Impl::getHeader | ( | const std::string & | key_r,
|  | const std::string & | default_r
| ) |  | const
| inline

Definition at line 98 of file PluginFrame.cc.

## ◆ getHeaderNT()

const std::string& zypp::PluginFrame::Impl::getHeaderNT | ( | const std::string & | key_r,
|  | const std::string & | default_r
| ) |  | const
| inline

Definition at line 109 of file PluginFrame.cc.

## ◆ mkHeaderPair()

HeaderList::value_type zypp::PluginFrame::Impl::mkHeaderPair | ( | const std::string & | key_r,
|  | const std::string & | value_r
| ) |  |
| inline

Definition at line 115 of file PluginFrame.cc.

## ◆ setHeader()

void zypp::PluginFrame::Impl::setHeader | ( | const std::string & | key_r,
|  | const std::string & | value_r
| ) |  |
| inline

Definition at line 124 of file PluginFrame.cc.

## ◆ addHeader() [1/2]

void zypp::PluginFrame::Impl::addHeader | ( | const std::string & | key_r,
|  | const std::string & | value_r
| ) |  |
| inline

Definition at line 130 of file PluginFrame.cc.

## ◆ addHeader() [2/2]

void zypp::PluginFrame::Impl::addHeader | ( | HeaderInitializerList | contents_r | ) |
| inline

Definition at line 135 of file PluginFrame.cc.

## ◆ clearHeader()

void zypp::PluginFrame::Impl::clearHeader | ( | const std::string & | key_r | ) |
| inline

Definition at line 141 of file PluginFrame.cc.

## ◆ writeTo()

std::ostream & zypp::PluginFrame::Impl::writeTo | ( | std::ostream & | stream_r | ) | const

Definition at line 215 of file PluginFrame.cc.

## ◆ nullimpl()

static shared_ptr<Impl> zypp::PluginFrame::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 156 of file PluginFrame.cc.

## ◆ clone()

Impl* zypp::PluginFrame::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 164 of file PluginFrame.cc.

## Friends And Related Function Documentation

## ◆ rwcowClone

Impl* rwcowClone | ( | const Impl * | rhs | ) |
| friend

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const PluginFrame::Impl & | obj
| ) |  |
| related

Stream output.

Definition at line 170 of file PluginFrame.cc.

## Member Data Documentation

## ◆ _command

std::string zypp::PluginFrame::Impl::_command
| private

Definition at line 150 of file PluginFrame.cc.

## ◆ _body

std::string zypp::PluginFrame::Impl::_body
| private

Definition at line 151 of file PluginFrame.cc.

## ◆ _header

HeaderList zypp::PluginFrame::Impl::_header
| private

Definition at line 152 of file PluginFrame.cc.

The documentation for this struct was generated from the following file:

- zypp/PluginFrame.cc